Subject: bug#68811: build hash inconsistency

From: Zacchaeus Scheffer <[email-masked]>
Date: Wed, 31 Jan 2024 10:34:01 -0800

Hi all,

I just tried the previous command on Device C, an x86_64-linux Guix System:

~ $ guix time-machine --commit=deeb7d1f53d7ddfa977b3eadd760312bbd0a2509 -- build qtwebengine --derivations --system=aarch64-linux --no-grafts --dry-run
<lots of non-error prints>
/gnu/store/gnrk76mlrv3ipm2k3lpmy1533mn9dqc3-qtwebengine-6.5.2.drv

As suspected, the hash matches that of device A.

I'm tempted to reflash Device B, wipe and reencrypt the SD (which has
/gnu/store), and reinstall Guix, but I also want to get to the bottom of
this.  So long as this thread doesn't get stale, I'm happy to try
whatever suggestions people have.

-Zacchae